dnl======================================================================
dnl AX_LDAS_PKG_CHECK
dnl   Check for LDAS packages
dnl======================================================================
#
# LICENSE
#
#  Copyright (C) 2018 California Institute of Technology
#
#  This program is free software; you may redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 (GPLv2) of the
#  License or at your discretion, any later version.
#
#  This program is distributed in the hope that it will be useful, but
#  without any warranty or even the implied warranty of merchantability
#  or fitness for a particular purpose. See the GNU General Public
#  License (GPLv2) for more details.
#
#  Neither the names of the California Institute of Technology (Caltech),
#  The Massachusetts Institute of Technology (M.I.T), The Laser
#  Interferometer Gravitational-Wave Observatory (LIGO), nor the names
#  of its contributors may be used to endorse or promote products derived
#  from this software without specific prior written permission.
# 
#  You should have received a copy of the licensing terms for this
#  software included in the file LICENSE located in the top-level
#  directory of this package. If you did not, you can view a copy at
#  http://dcc.ligo.org/M1500244/LICENSE
#
#



AC_DEFUN([AX_LDAS_PKG_CHECK],[
	PKG_CHECK_MODULES(AS_TR_CPP($1),[$1],[
			  dnl INCLUDES
		    	  AS_TR_CPP($1_INCLUDES)="`$PKG_CONFIG --cflags-only-I $1`"
		    	  AC_SUBST(AS_TR_CPP($1_INCLUDES))
		    	  dnl LIBDIRS
		    	  AS_TR_CPP($1_LIBDIRS)="`$PKG_CONFIG --variable=LIBDIRS $1`"
		    	  AC_SUBST(AS_TR_CPP($1_LIBDIRS))
		    	  dnl PYTHONPATH
		    	  AS_TR_CPP($1_PYTHONPATH)="`$PKG_CONFIG --variable=PYTHONPATH $1`"
		    	  AC_SUBST(AS_TR_CPP($1_PYTHONPATH))
		    	  dnl SWIGFLAGS
		    	  AS_TR_CPP($1_SWIGFLAGS)="`$PKG_CONFIG --variable=SWIGFLAGS $1`"
		    	  AC_SUBST(AS_TR_CPP($1_SWIGFLAGS))
  			  ])
]) dnl AC_DEFUN - AX_LDAS_PKG_CHECK
